Auto Multiple Choice - Bug # 116: bug or error in analyses? ver 1167

Status: Closed Priority: Normal
Author: red sea Category:
Created: 01/08/2013 Assignee:
Updated: 01/23/2013 Due date:
Description: when i used (in terminal):
<pre>
auto-multiple-choice analyse --projet ./ ./scans/*
</pre>
i got this error:
<pre>
OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file
/build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’
what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function
cvClonelmage
OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file
/build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’
what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function
cvClonelmage
</pre>
i don't know what is this error ?
regards
History

01/08/2013 11:22 am - Alexis Bienveniie

Please post your scan.

01/09/2013 05:50 pm - red sea
http://im32.gulfup.com/aBu21.tif
http://im32.gulfup.com/8IP92.tif

01/09/2013 09:18 pm - Alexis Bienveniie
These scans seem to work with me... Can you send me the project directory, and the log file from debugging mode?

01/09/2013 09:22 pm - Alexis Bienveniie
You can get the debugging log creating a log file and then adding a @--debug@ option to @auto-multiple-choice@, like:

<pre>

touch /tmp/debug.log

auto-multiple-choice analyse --debug /tmp/debug.log --projet ./ ./scans/*

</pre>

01/10/2013 11:11 am - red sea

this is the debug file:
http://www.gulfup.com/?P2UlcZ

01/10/2013 02:07 pm - Alexis Bienveniie

| don't see the reported error in the scan file. Please call analysis on a single problematic scan:
<pre>

cp /dev/null /timp/debug.log

auto-multiple-choice analyse --debug /tmp/debug.log --projet ./ ./scans/problematic-scan-file.tif

</pre>

01/10/2013 03:03 pm - red sea
http://www.gulfup.com/?Mw6Te5

no error messege when i analyse single tif file?!

01/10/2013 03:06 pm - Alexis Bienveniie
> no error messege when i analyse single tif file?!
Perhaps the error was showing when trying to analyse PDF files (@./scans/*@ selects all files, including PDF)? @auto-multiple-choice analyse@ can't

handle PDF files (you have to use @auto-multiple-choice getimages@ first to convert PDF to bitmap format).

01/10/2013 03:13 pm - red sea
i deleted all pdf files in scans folder,but i got the same error messege:

<pre>
auto-multiple-choice analyse --projet ./ ./scans/*

OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file /build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’

what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function cvClonelmage

OpenCV Error: Bad argument (Bad image header) in cvClonelmage, file /build/buildd/opencv-2.3.1/modules/core/src/array.cpp, line 3108
terminate called after throwing an instance of 'cv::Exception’

what(): /build/buildd/opencv-2.3.1/modules/core/src/array.cpp:3108: error: (-5) Bad image header in function cvClonelmage

Page : +1/1/60+
Page : +3/1/58+
Page : +2/1/59+

</pre>

01/10/2013 03:17 pm - Alexis Bienveniie
Please try to call the command with each single scan in turn, to find the problematic scan.

01/10/2013 03:23 pm - red sea

ok,

1.tif ... no error

<pre>

auto-multiple-choice analyse --projet ./ ./scans/1.tif
Page : +1/1/60+

</pre>

2.tif ... no error
<pre>
auto-multiple-choice analyse --projet ./ ./scans/2.tif
Page : +2/1/59+

</pre>

3.tif ... no error

<pre>

auto-multiple-choice analyse --projet ./ ./scans/3.tif
Page : +3/1/58+

</pre>

01/10/2013 03:43 pm - red sea
i changed the project, but i got the same problem, if i used :

<pre>
/scans/*

</pre>

the 2nd project..
http://im33.gulfup.com/7EVL1 .tif

01/10/2013 04:19 pm - red sea
and the problem in the terminal not in gui.

01/21/2013 04:47 pm - Alexis Bienveniie
Did you try

auto-multiple-choice analyse --projet ./ ./scans/* tif

(to be sure only TIF files are selected)?

01/21/2013 11:54 pm - red sea

Alexis Bienvenie wrote:

> Did you try

>

> auto-multiple-choice analyse --projet ./ ./scans/* tif
>

> (to be sure only TIF files are selected)?

thanks, yes with *.tif was no error.

but i got this error:

<pre>

when i used "--assoc assoc.xml" with (auto-multiple-choice association-auto) in terminal i got this msg : assoc unknown option.

when i used "--bareme scoring.xml" with (auto-multiple-choice prepare) in terminal i got this msg : bareme unknown option.

</pre>

01/22/2013 05:35 am - red sea
the full code:
<pre>
#!/bin/bash
# scaned all papers
notify-send ‘000000 0000000 00000''0000 0000 0DOOD DOD 00000OO' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
scanimage -b --batch-count=n --source ADF --format=tiff --mode Color --resolution 200 -x 210 -y 297
notify-send 'Auto Multiple Choice' '00 00000 000000 000000D' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
# analyse in AMC
cd ..
auto-multiple-choice prepare --mode s --with xelatex --prefix ./ ./as.tex --data ./data/
auto-multiple-choice analyse --projet ./ ./scans/* tif
notify-send ‘000000 0000000 00000''000 00000 DOOOOODOD 00OOD' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice note --data ./data --seuil 0.6 --notemax 30 --grain 0.5 --arrondi s
notify-send ‘000000 0000000 00000''00 0000 DOODOOD' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice association-auto --data ./data --notes-id StudentNum --liste ./ph.csv --liste-key idn
notify-send ‘000000 0000000 00000''00 00000 0DOOOD 0DODDOOD' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice annote --projet ./ --data ./data --fich-noms ph.csv
notify-send ‘000000 0000000 00000''000 00000 0DOOOOOD OO0 OOOOOOOD 00 00 Do!
--icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice regroupe --with xelatex --projet ./ --sujet DOC-sujet.pdf --fich-noms ph.csv --tex-src as.tex --compose
notify-send ‘000000 0000000 00000''000 00000 0DOODOOOD OO0 OOOOOOO OO0 00 Do!
--icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice export --data ./data \

--module ods \

--fich-noms ph.csv \

--0 ./exports/output-note.ods
notify-send '000000 0000000 00000''00 00000 0D0DOOOD ODDD' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg
auto-multiple-choice export --data ./data \

--module CSV \

--fich-noms ph.csv \

--0 ./exports/output-note.csv
notify-send ‘000000 0000000 00000''00 00000 DOODOOD 00 00 00" --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg

notify-send ‘000000 0000000 00000''00 0000 0DOOD 0DOOODDD 00OOOO' --icon=/usr/share/auto-multiple-choice/icons/auto-multiple-choice.svg

</pre>

this script (sh) :

- scan papers: good

- compute marks : no

i don't know the problem ?!

01/22/2013 09:29 am - Alexis Bienvenie
> assoc unknown option.

> bareme unknown option.

These options were dropped when switching to SQLite databases (version 1.1). See new syntax in the english documentation.

01/22/2013 03:08 pm - red sea
thanks, please what is the wrong in the last script (comment 16) about compute marks ?

regard
01/22/2013 04:56 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed

You must extract the scoring strategy with @auto-multiple-choice prepare --mode b [...]J@ befora marking with @auto-multiple-choice note@.
01/23/2013 11:22 am - red sea

i think the problem is :

- i used a omr form (design with AMC - postcorrect) without any Question, and there are no command line to choose the the teacher paper (right

answers)?

regards
